Subject: Re: bug#42538: 28.0.50; tramp-test35-remote-path test timing out on macOS

From: Michael Albinus <[email-masked]>
Date: Thu, 30 Jul 2020 13:53:32 +0200

Philipp Stephani <[email-masked]> writes:

Hi Philipp,

>> > As you see, Tramp is stalled for 19 seconds, and then the timeout kills
>> > it. I will see whether I could rearrange the command sequence. Maybe
>> > writing the temp file just in shorter chunks, or so.
>>
>> Could you pls check, whether the appended patch works for you?
>
> Thanks, that appears to work, at least the test now finishes
> successfully within 13 seconds.

OK, so I've pushed the patch to the master branch. It will also be
merged into the emacs-27 branch after the release of 27.1.

> However, now it looks like tramp-test29-start-file-process is timing out...

Strange. The patch doesn't touch anything which is relevant for
tramp-test29-start-file-process, AFAICT. OK, same procedure as very
year: apply the appended patch to tramp-tests.el, and rerun the
test. The debug buffer shall tell us more.

Best regards, Michael.

*** /tmp/ediffLaq99j	2020-07-30 13:51:19.872434363 +0200
--- /usr/local/src/emacs/test/lisp/net/tramp-tests.el	2020-07-30 13:47:25.070745596 +0200
***************
*** 4307,4312 ****
--- 4307,4314 ----
    (skip-unless (or (tramp--test-adb-p) (tramp--test-sh-p)))
    (skip-unless (not (tramp--test-crypt-p)))

+   (tramp--test-instrument-test-case 6
+   (with-timeout (30 (tramp--test-timeout-handler))
    (dolist (quoted (if (tramp--test-expensive-test) '(nil t) '(nil)))
      (let ((default-directory tramp-test-temporary-file-directory)
  	  (tmp-name (tramp--test-make-temp-name nil quoted))
***************
*** 4372,4378 ****
  	    (should (string-match "\\`foo" (buffer-string))))

  	;; Cleanup.
! 	(ignore-errors (delete-process proc))))))

  (ert-deftest tramp-test30-make-process ()
    "Check `make-process'."
--- 4374,4380 ----
  	    (should (string-match "\\`foo" (buffer-string))))

  	;; Cleanup.
! 	(ignore-errors (delete-process proc))))))))

  (ert-deftest tramp-test30-make-process ()
    "Check `make-process'."